# tbb::flow::interface6::multifunction_node< Input, Output, graph_buffer_policy, Allocator > Class Template Reference

implements a function node that supports Input -> (set of outputs) More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::multifunction_node< Input, Output, graph_buffer_policy, Allocator >:

List of all members.

## Public Types

typedef Input | input_type
typedef internal::wrap_tuple_elements < N, internal::multifunction_output, Output >::type | output_ports_type

## Public Member Functions

template<typename Body >
| multifunction_node (graph &g, size_t concurrency, Body body)
| multifunction_node (const multifunction_node &other)

## Protected Member Functions

void | reset ()

## Detailed Description

### template<typename Input, typename Output, graph_buffer_policy = queueing, typename Allocator = cache_aligned_allocator<Input>>
class tbb::flow::interface6::multifunction_node< Input, Output, graph_buffer_policy, Allocator >

implements a function node that supports Input -> (set of outputs)

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2012 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.